## org.biojava.bio.seq.io.agave
Class AGAVEQueryRegion

    java.lang.Object
      org.biojava.bio.seq.io.agave.AGAVEQueryRegion

    public class AGAVEQueryRegion

extends Object

Author:
  Hanning Ni Doubletwist Inc, Greg Cox

Constructor Summary
`AGAVEQueryRegion()`

Method Summary
`AGAVEDbId` `getDbId()`
`int` `getEnd()`
`int` `getStart()`
`void` `setDbId(AGAVEDbId id)`
`void` `setEnd(int end)`
`void` `setStart(int start)`
`String` `toString()`
`String` `toString(String indent, String indent_unit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AGAVEQueryRegion

    public AGAVEQueryRegion()

Method Detail

### setStart

    public void setStart(int start)

### setEnd

    public void setEnd(int end)

### setDbId

    public void setDbId(AGAVEDbId id)

### getStart

    public int getStart()

### getEnd

    public int getEnd()

### getDbId

    public AGAVEDbId getDbId()

### toString

    public String toString(String indent,
                           String indent_unit)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`